Summary:	CD player and ripper for GNOME
Summary(pl.UTF-8):	Odtwarzacz i ripper CD dla GNOME
Name:		goobox
Version:	3.6.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/goobox/3.6/%{name}-%{version}.tar.xz
# Source0-md5:	4597122bd8f0b3acc5ee0e31e0e14b5a
Patch0:		%{name}-desktop.patch
URL:		https://people.gnome.org/~paobac/goobox/
BuildRequires:	brasero-devel >= 3
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.40
BuildRequires:	gstreamer-devel >= 1.0.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libcoverart-devel >= 1.0.0
BuildRequires:	libdiscid-devel
BuildRequires:	libmusicbrainz5-devel >= 5.0.0
BuildRequires:	libnotify-devel >= 0.4.3
BuildRequires:	meson >= 0.43
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.40
Requires(post,postun):	gtk-update-icon-cache
Requires:	dbus(org.freedesktop.Notifications)
Requires:	glib2 >= 1:2.40
Requires:	gstreamer-cdparanoia >= 1.0.0
Requires:	gtk+3 >= 3.22.0
Requires:	hicolor-icon-theme
Requires:	libcoverart >= 1.0.0
Requires:	libnotify >= 0.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CD player and ripper for GNOME.

%description -l pl.UTF-8
Odtwarzacz i ripper CD dla GNOME.

%prep
%setup -q
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor
%banner %{name} -e << EOF
To be able to rip a CD, You need to install appropriate
GStreamer plugins:
- gstreamer-audio-formats (encoding to WAVE)
- gstreamer-flac (encoding to FLAC)
- gstreamer-lame (encoding to MP3)
- gstreamer-vorbis (encoding to Ogg Vorbis)
EOF

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/goobox
%{_datadir}/glib-2.0/schemas/org.gnome.Goobox.gschema.xml
%{_datadir}/metainfo/org.gnome.Goobox.appdata.xml
%{_desktopdir}/org.gnome.Goobox.desktop
%{_iconsdir}/hicolor/*x*/apps/goobox.png
%{_iconsdir}/hicolor/scalable/apps/goobox-symbolic.svg
%changelog
* Mon Jan 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/goobox.git;a=log;h=master

* Mon Jan 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 15b20b7
- updated to 3.6.0

* Tue Nov 28 2017 Jan Rękorajski <baggins@pld-linux.org> e47cd41
- release 2 (by relup.sh)

* Tue Oct 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 3597820
- Update to 3.4.2

* Sat Nov 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 5f1a464
- more specific URL

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 6416cb4
- updated to 3.4.1 for GNOME 3.x
- updated desktop patch
- removed obsolete libnotify patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 47d9518
- updated gettext BR

* Sun Jul 05 2009 pawelz <pawelz@pld-linux.org> bb54ca1
- dropped R: notification-daemon
- R: dbus(org.freedesktop.Notifications)
- adapterized
- rel 2

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 0ff2d3f
- previous commit reverted (mistake)

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> a3512dc
- updated to 1.3.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8789061
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fbface0
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 6cc9cde
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Sat May 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 7993d15
- merged libnotify patch from AC-branch

* Sun May 21 2006 freetz <freetz@pld-linux.org> 08a59c7
- port to new libnotify

* Fri Nov 18 2005 freetz <freetz@pld-linux.org> 8fa5588
- 0.9.93, libnotify support, migrated to gnome-doc-utils, updated BR

* Tue Jul 19 2005 freetz <freetz@pld-linux.org> 4822f8f
- 0.9.92, dropped locale-names patch, removed pl patch (pl translation
  already included)

* Tue Jul 19 2005 freetz <freetz@pld-linux.org> 7808a9a
- not really needed / already included

* Fri Apr 08 2005 paladine <paladine@pld-linux.org> a1d5d21
- new style macros
- STBR

* Wed Apr 06 2005 paladine <paladine@pld-linux.org> 57b54f3
- missing '/'

* Tue Apr 05 2005 paladine <paladine@pld-linux.org> 80c8abf
- updated to 0.9.91
- added patch with polish translation
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode
- don't package deprecated gnome-mime-data stuff

